DIR(1)

NAZWA
dir - wyświetla zawartość katalogu

SKŁADNIA
dir [OPCJA]... [PLIK]...

OPIS
Wypisanie informacji o PLIKACH (domyślnie w katalogu bieżącym). Sortowane alfabetyczne, jeżeli nie jest podana żadna z opcji -cftuSUX ani --sort.

Argumenty obowiązkowe dla opcji długich obowiązują również dla krótkich.

-a, --all
    bez ukrywania plików zaczynających się od .

-A, --almost-all
    bez pokazania . ani ..

--author
    wypisanie autora każdego pliku

-b, --escape
    wypisanie znaków niegraficznych ósemkowo

--block-size=ROZMIAR
    użycie bloków o podanym w bajtach ROZMIARZE

-B, --ignore-backups
    bez pokazania plików kończących się na ~

-c  z -lt: sortowanie wg i wypisanie ctime (czasu ostatniej modyfikacji danych o pliku)
    z -l: wypisanie ctime i sortowanie wg nazw w przeciwnym przypadku: sortowanie wg ctime

-C  wypisanie plików w kolumnach

--color[=GDY]
    sterowanie użycia kolorów rozróżniających typy plików. GDY może być `never' (nigdy), `always' (zawsze) albo `auto' (automatyczne)

-d, --directory
    pokazanie katalogów zamiast ich zawartości, bez rozwiązywania dowiązań symbolicznych

-D, --dired
    dane wyjściowe dla trybu dired Emacsa

-f  bez sortowania, włączenie -aU, wyłączenie -lst

-F, --classify
    dopisanie znaków wskazujących typ każdego pliku

--format=SŁOWO
    across (poziomo), odpowiada opcji -x, commas (oddzielone przecinkami) -m, horizontal (poziomo) -x, long (długi, z dodatkowymi informacjami) -l, single-column (w jednej kolumnie) -1, verbose (długi, z dodatkowymi informacjami) -l, vertical (pionowy, w kolumnach) -C

--full-time
    jak -l --time-style=full-iso

-g  jak -l, ale bez pokazanie właściciela pliku

-G, --no-group
    bez pokazania informacji o grupach

-h, --human-readable
    rozmiary w formacie dla ludzi (np. 1K 234M 2G)

--si
    podobnie, ale z użyciem potęg 1000, nie 1024

-H, --dereference-command-line
    rozwiązywanie dowiązań symbolicznych podanych jako argumenty

--dereference-command-line-symlink-to-dir
    rozwiązywanie dowiązań symbolicznych podanych jako argumenty, jeżeli wskazują na katalogi

--indicator-style=SŁOWO
    dodanie wskaźników typów plików w stylu SŁOWO: none (domyślnie), classify (-F), file-type (-p)

-i, --inode
    pokazywanie numeru i-węzła każdego pliku

-I, --ignore=WZÓR
    bez pokazywania plików pasujących do shellowego WZORU

-k  jak --block-size=1K

-l  użycie długiego formatu wyjściowego

-L, --dereference
    pokazanie plików wskaz. przez dowiązania symboliczne

-m  pisanie do pełnej szerokości, oddzielanie przecinkami

-n, --numeric-uid-gid
    jak -l, ale pokazanie UID i GID liczbowo

-N, --literal
    wypisanie nazwy dokładnie (bez specjalnego traktowania np. znaków sterujących)

-o  jak -l, ale bez informacji o grupie

-p, --file-type
    dopisanie znaku wskazującego typ pliku (z /=@|)

-q, --hide-control-chars
    pisanie ? zamiast znaków sterujących

--show-control-chars
    pokazanie znaków niedrukowalnych (domyślnie, chyba że program nazywa się `ls' i pisze na terminalu)

-Q, --quote-name
    ujęcie nazw w cudzysłowy

--quoting-style=SŁOWO
    zabezpieczenie znaków specjalnych w stylu SŁOWO: literal, locale, shell, shell-always, c, escape

-r, --reverse
    odwrotny porządek sortowania

-R, --recursive
    rekursywne listowanie katalogów

-s, --size
    wypisanie liczby bloków zajętych przez każdy plik

-S  sortowanie według rozmiaru

--sort=SŁOWO
    sortowanie wg: extension -X (rozszerzenia), none -U (wcale), size -S (rozmiaru), time -t (czasu), version -v (wersji), status -c (czasu zmiany informacji o pliku), atime -u, access -u, use -u (czasu ostatniego dostępu)

--time=SŁOWO
    pokazanie czasu innego niż czas modyfikacji, określonego SŁOWEM: atime, access, use, ctime albo status; użycie podanego czasu do sortowania gdy podano --sort=time

--time-style=STYL
    pokazanie czasów przy użyciu STYLU: full-iso, long-iso, iso, locale, +FORMAT FORMAT jest interpretowany jak w date(1).
    Jeżeli FORMAT to FORMAT1<znak nowej linii>FORMAT2, FORMAT1 dotyczy dawniejszych plików, FORMAT2 nowszych. Jeżeli STYL zaczyna się od posix-,to STYL jest używany tylko dla locale nie-POSIX

-t  sortowanie wg czasu modyfikacji

-T, --tabsize=KOLUMNA
    TAB co tyle KOLUMN, zamiast co 8

-u  z -lt: sortowanie wg i wypisanie czasu ostatniego dostępu; z -l: wypisanie czasu dostępu i sortowanie wg nazw; w przeciwnym przypadku: sortowanie wg czasu dostępu

-U  bez sortowania, wypisanie kolejności jak w katalogu

-v  sortowanie wg wersji

-w, --width=KOLUMNA
    szerokość ekranu zamiast wartości bieżącej

-x  wypisanie nazw w kolejnych liniach, nie kolumnach

-X  sortowanie alfabetyczne wg rozszerzeń

-1  listowanie po jednym pliku w linii

--help
    wyświetlenie tego opisu i zakończenie

--version
    wyświetlenie informacji o wersji i zakończenie

ROZMIAR może być podany jako (opcjonalnie jako liczba całkowita z przyrostkiem): kB 1000, K 1024, MB 1000*1000, M 1024*1024 itd. dla G, T, P, E, Z, Y.

Domyślnie kolory nie są używane do rozróżniania typów plików. Jest to równoważne użyciu --color=none. Użycie opcji --color bez opcjonalnego argumentu GDY jest równoważne użyciu --color=always. Z --color=auto kody kolorów są wypisywane tylko jeżeli standardowe wyjście jest przyłączone do terminala (tty).

AUTOR
Napisany przez Richarda Stallmana i Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Raporty o błędach wysyłaj do <bug-coreutils@gnu.org>.

PRAWA AUTORSKIE
Copyright © 2003 Free Software Foundation, Inc. Ten program jest darmowy; warunki kopiowania są opisane w źródłach. Autorzy nie dają ŻADNYCH gwarancji, w tym również gwarancji PRZYDATNOŚCI DO SPRZEDAŻY LUB DO KONKRETNYCH CELÓW.

ZOBACZ TAKŻE
Pełna dokumentacja dla programu dir jest utrzymywana jako podręcznik Texinfo. Jeśli programy info oraz dir są właściwie zainstalowane, polecenie

    info dir

powinno udostępnić kompletny podręcznik.